function showModal(elt) {
    try { $("#" + elt).modal('show'); } catch { ; }
}
function hideModal(elt) {
    try { $("#" + elt).modal('hide'); } catch { ; }
}
function showModalRef(elt) {
    try { $(elt).modal('show'); } catch { ; }
}
function hideModalRef(elt) {
    try { $(elt).modal('hide'); } catch { ; }
}
